{: test a compilation error occurs when the rhs of the in operator is incorrect }

{$d+}
program e044( output );

var
   x : real;


begin {e044}

   x := 89;
   if 1 in [x..100] then { !!! x must be integer, not real }
    writeln( 'fails: non-ordinal rhs of in operator not detected' );

end. {e044}
